const NUM_COIN_PROPERTIES = 7;
const NUM_PROOF_PROPERTIES = 14;
const ENCODE_VERSION = 0x00;

const SIG_PUB_KEY_SIZE = 32;
const SIG_NO_PRIVACY_SIZE = 64;
const SIG_PRIVACY_SIZE = 96;

const SPENDING_KEY_SIZE = 32;
const PUBLIC_KEY_SIZE = 32;
const PAYMENT_ADDR_SIZE = 64;
const TRANSMISSION_KEY_SIZE = 32;
const VIEWING_KEY_SIZE = 64;

const ENCRYPTED_RANDOMNESS_SIZE = 48; //bytes
const ENCRYPTED_SYM_KEY_SIZE = 66; //bytes
const ELGAMAL_CIPHERTEXT_SIZE = 66;

const AES_BLOCK_SIZE = 16;
const HASH_SIZE = 32; // bytes

const INPUT_COINS_PRIVACY_SIZE = 39;
const OUTPUT_COINS_PRIVACY_SIZE = 221;
const INPUT_COINS_NO_PRIVACY_SIZE = 175; // PublicKey + coin commitment + SND + Serial number + Randomness + Value + 7 flag
const OUTPUT_COINS_NO_PRIVACY_SIZE = 145;

const ED25519_KEY_SIZE = 32;

const DEFAULT_NATIVE_FEE = 100;

export {
  NUM_COIN_PROPERTIES,
  NUM_PROOF_PROPERTIES,
  ENCODE_VERSION,
  SIG_PUB_KEY_SIZE,
  SIG_NO_PRIVACY_SIZE,
  SIG_PRIVACY_SIZE,
  SPENDING_KEY_SIZE,
  PUBLIC_KEY_SIZE,
  PAYMENT_ADDR_SIZE,
  TRANSMISSION_KEY_SIZE,
  VIEWING_KEY_SIZE,
  ENCRYPTED_RANDOMNESS_SIZE,
  ENCRYPTED_SYM_KEY_SIZE,
  ELGAMAL_CIPHERTEXT_SIZE,
  AES_BLOCK_SIZE,
  HASH_SIZE,
  INPUT_COINS_NO_PRIVACY_SIZE,
  OUTPUT_COINS_NO_PRIVACY_SIZE,
  INPUT_COINS_PRIVACY_SIZE,
  OUTPUT_COINS_PRIVACY_SIZE,
  ED25519_KEY_SIZE,
  DEFAULT_NATIVE_FEE
};
